# GNUPLOT 3.6 script for plotting SPECTRUM data files (univariate analysis).
#
# Version: 1.1 (30.08.99)
# Author: Michael Schulz
#         Univ. of Bremen, Dept. of Geosciences (FB 5), Germany
#         Email: mschulz@palmod.uni-bremen.de
# --------------------------------------------------------------------------
# Ŀ
#  Global settings 
# 
#
# change to working directory (NB: use '/' NOT '\' to separate dir's)
# -------------------------------------------------------------------
cd '%datdir%'
#
# set pr = 1 to create a postscript file
# ---------------------------------------
pr = 0
if (pr == 1) set encod; \
             set term postscript portrait enhanced "Helvetica" 12; \
             set output '%filenam%.ps';\
             set size 1.0, 0.5;\
             set origin 0.0, 0.5
#
# max freq to plot
# ----------------
fmax = %hifreq%
set xr[0:fmax]
#
# titles
# ------
set title 'Harmonic Analysis: %xinfo%'
set xlabel 'Frequency [%timeunit%^{-1}]'
set ylabel 'P_{xx} (f)'
#
# mark bandwidth
# --------------
gyymax = %gyymax%
ybw = 0.95 * gyymax
bw = %bw%
bw2 = 0.95 * fmax
bw1 = bw2 - bw
set arrow from bw1, ybw to bw2, ybw nohead
#
# plot data (incl false alram levels)
# -----------------------------------
plot '%filenam%.hfs' u 1:2 1, '' u 1:3 2, '' u 1:4 2
set noarrow
